clear
clc

system = "K/p^2";
% Definition of the controlled system
% Possible options: "K"; "K/p"; "K/p+1"; "K/p^2"

switch system
    case "K"
        Fs.num = 10;
        Fs.den = [0 1];
        prbs_sampletime = 2;
    case "K/p"
        Fs.num = 5;
        Fs.den = [1 0];
        prbs_sampletime = 3;   
    case "K/p+1"
        Fs.num = 10;
        Fs.den = [1 1];
        prbs_sampletime = 3;
    case "K/p^2"
        Fs.num = 1;
        Fs.den = [1 0 0];
        prbs_sampletime = 10;
end

% Simulation
open_system('operator_identification.slx')

